import request from '@/utils/request'

export function listProject(query) {
  return request({
    url: '/project/info/list',
    method: 'get',
    params: query
  })
}

export function getProject(id) {
  return request({
    url: '/project/info/' + id,
    method: 'get'
  })
}

export function addProject(data) {
  return request({
    url: '/project/info',
    method: 'post',
    data: data
  })
}

export function updateProject(data) {
  return request({
    url: '/project/info',
    method: 'put',
    data: data
  })
}

export function delProject(id) {
  return request({
    url: '/project/info/' + id,
    method: 'delete'
  })
}
